function Oggi() {
	var d = new Date();
	var day = (d.getDate()<10)?"0"+d.getDate():""+d.getDate();
	var month = (d.getMonth()<9)?"0"+(d.getMonth()+1):""+(d.getMonth()+1);
	var year = d.getFullYear();
	return day+"/"+month+"/"+year;
}

function CheckDate(sDate) {
        var re = /^\d{1,2}\/\d{1,2}\/\d{4,4}$/;
        if (!re.test(sDate)) return false;
        var arrDate=sDate.split("/");
        var Calendar= new Array(31,28,31,30,31,30,31,31,30,31,30,31);
        if ((arrDate[1]-0)<1 || (arrDate[1]-0)>12) return false;
        if ((arrDate[0]-0)<1 || (arrDate[0]-0)>Calendar[arrDate[1]-1]) return false;
        //if ((arrDate[2]-0)<1900 || (arrDate[2]-0)>1987) return false;
        return true;
}
function CheckEmail(sEmail) {
        var re = /^([\w_\-])+([\w_\-\.])*\@(([\w_\-]{2,})+\.)+([\w]{2,})+$/;
        if (!re.test(sEmail)) return false;
        return true;
}
function GetType(key) { 
  return key.substr(0,2);
}
function Trim(str) { 
  return str.replace(/^\s+|\s+$/g,"");
}
function IsMandatory(key) {
        var stamp=key.substr(2,2);
        return (stamp=="m_")?true:false;
}
function IsOptional(key) {
        var stamp=key.substr(0,2);
        return (stamp=="o_")?true:false;
}
function SetError(frmElem,BadFields,IsWrong) {
        var descr=frmElem.name;
        BadFields[BadFields.length]="> "+descr+"\n";
        return true;
}
function FieldIsEmpty(frmElem) {
        switch (frmElem.type) {
                case "select":
                        return (frmElem.selectedIndex==0)?true:false;
                        break;
                case "select-one":
                        return (frmElem.selectedIndex==0)?true:false;
                        break;
                case "text":
                        return (Trim(frmElem.value).length==0)?true:false;
                        break;
                case "textarea":
                        return (Trim(frmElem.value).length==0)?true:false;
                        break;
                case "password":
                        return (Trim(frmElem.value).length==0)?true:false;
                        break;
                case "file":
                        return (Trim(frmElem.value).length==0)?true:false;
                        break;
                case "radio":
                        return false;
                        break;
                case "checkbox":
                        return false;
                        break;
                case "button":
                        return false;
                        break;
                case "reset":
                        return false;
                        break;
                default:
                        alert("Errore FieldIsEmpty");
                        return true;
                        break;
        }
}
function CheckFormat(frmElem) {
        if (frmElem.type=="select" || frmElem.type=="select-one"  || frmElem.type=="button" || frmElem.type=="submit") return true;
        if (FieldIsEmpty(frmElem)) return true;
        var eType=frmElem.name;
        switch (eType) {
                case "data_notizia":
                        return CheckDate(frmElem.value);
                        break;
                case "data_ini_pub":
                        return CheckDate(frmElem.value);
                        break;
                case "data_fine_pub":
                        return CheckDate(frmElem.value);
                        break;
                case "email":
                        return CheckEmail(frmElem.value);
                        break;
                /*
                case "position":
                	var frm = document.forms[0];
                        return (frmElem.checked && frmElem.value=="6")?(Trim(frm.other.value)!=""):true;
                        break;
                 */
                default:
                        return true;
                        break;
        }
}
function CheckForm() {
        var frm=document.forms[0];
        var frmElems=frm.elements;
        var BadFields= new Array();
        var warning=new String("Impossibile procedere\n\nValori non validi nei seguenti campi:\n");
        //var warning=new String("Invalid value(s) in the following form field(s):\n");
        var IsWrong=false;
        for (var i=0;i<frmElems.length;i++) {
                if (!frmElems[i].disabled) {
                                //alert(frmElems[i].name+" ("+frmElems[i].type+") "+"  vuoto? "+FieldIsEmpty(frmElems[i]));
                                //alert(frmElems[i].name+" ("+frmElems[i].type+") "+"  facoltativo? "+IsOptional(frmElems[i].name));
                                if (!IsOptional(frmElems[i].name) && FieldIsEmpty(frmElems[i])) IsWrong=SetError(frmElems[i],BadFields,IsWrong);
                                else if (!FieldIsEmpty(frmElems[i]) && !CheckFormat(frmElems[i])) IsWrong=SetError(frmElems[i],BadFields,IsWrong);
                }
        }
        if (IsWrong) {
                for (i=0;i<BadFields.length;i++) warning+=BadFields[i];
                alert(warning);
                return;
        }
        frm.submit();
}

function SwitchSlaveField(condition,slaveElem) {
	if (condition) slaveElem.disabled = false;
	else slaveElem.disabled = true;
}